--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  - !ruby/struct:SM::Flow::P 
    body: Returns the source IP address for the trap, usually derived from the source IP address of the packet that delivered the trap.
  name: source_ip
  rw: RW
class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: "The PDU class for traps in SNMPv2c. Methods are provided for retrieving the values of the mandatory varbinds: the system uptime and the OID of the trap. The complete varbind list is available through the usual varbind_list method. The first two varbinds in this list will always be the uptime and trap OID varbinds."
constants: []

full_name: SNMP::SNMPv2_Trap
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: encode
- !ruby/object:RI::MethodSummary 
  name: sys_up_time
- !ruby/object:RI::MethodSummary 
  name: trap_oid
name: SNMPv2_Trap
superclass: PDU
